<?php

namespace Lucent\Record\InputData;


class EdgeInputData
{
    public function __construct(
        public string $target,
        public string $targetSchema,
        public string $field,
    )
    {
    }

    public static function fromArray(array $data): self
    {
        return new self($data['target'], $data['targetSchema'], $data['field']);
    }
}